<html>
    <head>
        <style type="text/css">
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_besar {
                font-size: 12pt;
            }

            .font_kecil {
                font-size: 10pt;
            }

            .font_lima {
                font-size: 7pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_delapan {
                font-size: 8pt;
            }    

            .font_sembilan {
                font-size: 10pt;
            }        
            table{
                font-family:sans-serif;
            }
            @page{
                margin:40px;
            }
        </style>
    </head>
    <body>
        <?php
        ini_set("max_execution_time", 500);
        if (!function_exists('kekata')) {

            function kekata($x) {
                $x = abs($x);
                $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                    "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                $temp = "";
                if ($x < 12) {
                    $temp = " " . $angka[$x];
                } else if ($x < 20) {
                    $temp = kekata($x - 10) . " Belas";
                } else if ($x < 100) {
                    $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                } else if ($x < 200) {
                    $temp = " Seratus" . kekata($x - 100);
                } else if ($x < 1000) {
                    $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                } else if ($x < 2000) {
                    $temp = " Seribu" . kekata($x - 1000);
                } else if ($x < 1000000) {
                    $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                } else if ($x < 1000000000) {
                    $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                } else if ($x < 1000000000000) {
                    $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                } else if ($x < 1000000000000000) {
                    $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                }
                return $temp;
            }

        }

        function terbilang($x, $style = 4) {
            if ($x < 0) {
                $hasil = "MINUS " . trim(kekata($x));
            } else {
                $hasil = trim(kekata($x));
            }
            switch ($style) {
                case 1:
                    $hasil = strtoupper($hasil);
                    break;
                case 2:
                    $hasil = strtolower($hasil);
                    break;
                case 3:
                    $hasil = ucwords($hasil);
                    break;
                default:
                    $hasil = ucfirst($hasil);
                    break;
            }
            return $hasil;
        }

        $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
        $t_tglpenetapan = date('d', strtotime($data['t_tglpenetapan'])) . " " . $abulan[date('m', strtotime($data['t_tglpenetapan']))] . " " . date('Y', strtotime($data['t_tglpenetapan']));
        ?>
        <table class="border_atas border_bawah border_kanan border_kiri font_sembilan" style="width: 100%;">
            <tr>
                <td style="width: 7%">
                    <img src="<?= $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo; ?>" style="width:50px;"  />
                </td>
                <td style="width: 33%">
                    <b style="font-size:8pt;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?></b>
                    <br>
                    <b><?= strtoupper($ar_pemda->s_namainstansi) ?></b>
                    <br>
                    <span style="font-size:7pt;"><?= $ar_pemda->s_alamatinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?><br>Telp/Fax <?= $ar_pemda->s_notelinstansi ?></span>
                </td>
                <td class="border_kiri" style="width: 40%;text-align:center;">
                    <b style="font-size: 16pt;">SKRD</b> 
                    <br>
                    <b style="font-size: 9pt;">(SURAT KETETAPAN RETRIBUSI DAERAH)</b>
                    <br>
                    Masa : <?= date('d-m-Y', strtotime($data['t_masaawal'])); ?> S/D <?= date('d-m-Y', strtotime($data['t_masaakhir'])); ?>
                    <br>
                    Tahun : <?= $data['t_periodepajak']; ?>
                </td>
                <td class="border_kiri" style="width: 20%;">
                    No. SKRD : <?= $data['t_nopenetapan'] ?><br>
                    Kode Bayar : <?= $data['t_kodebayar'] ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_sembilan" style="width: 100%;">
            <tr>
                <td style="width: 5%; padding:0; border-spacing:0px; padding-left: 15px; padding-top: 10px;">
                    <b>I</b>
                </td>
                <td colspan="2" style="padding:0;border-spacing:0px; padding-top: 10px;">
                    <b>Identitas Wajib Retribusi</b>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    NPWRD
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_npwpd'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="width: 20%; padding:0; border-spacing:0px;">
                    Nama
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nama'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    Alamat
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamat'] . ", Kel./Desa " . $data['s_namakel'] . ", Kec. " . $data['s_namakec'] . ", Kab. " . $data['t_kabupaten'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    NOR
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nop'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    Nama Objek
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_namaobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    Alamat Objek
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamatobjek'] . ", Kel./Desa " . $data['s_namakelobjek'] . ", Kec. " . $data['s_namakecobjek'] . ", Kab. " . $data['t_kabupatenobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-bottom: 10px">
                    <b>II</b>
                </td>
                <td style="padding:0; border-spacing:0px; padding-bottom: 10px;font-size:9pt;">
                    <b>Tanggal Jatuh Tempo</b>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; padding-bottom: 10px">
                    : <b><?= date('d-m-Y', strtotime($data['t_tgljatuhtempo'])) ?></b>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_sembilan" style="width: 100%;">
            <tr style="text-align: center">
                <td class="border_kanan border_kiri" style="padding-top: 10px;">
                    <table style="margin-left: 15px; margin-right: 15px; padding-top: 10px; border: 1px solid black; border-collapse: collapse; width: 100%; margin-bottom: 10px; vertical-align: top">
                        <tr>
                            <th style="width: 5%; border: 1px solid black; border-collapse: collapse; text-align: center">
                                No.
                            </th>
                            <th style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                Kode Rekening
                            </th>
                            <th style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                Uraian
                            </th>
                            <th style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                Jumlah (Rp.)
                            </th>
                        </tr>
                        <tr>
                            <td style="text-align: center; border: 1px solid black; border-collapse: collapse">
                                1.
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse;">
                                <?= $data['korek'] ?><br>
                                Pendapatan Pemakaian Retribusi Kekayaan Daerah
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse;padding-bottom:50px;">
                                - <?= $data['s_namajenis'] ?><br>
                                <?php if ($jenisobjek == 10) { ?>
                                    <table style="vertical-align: top">
                                        <tr>
                                            <td>
                                                Panjang
                                            </td>
                                            <td>
                                                = <?= $datadetail['t_panjang'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Lebar
                                            </td>
                                            <td>
                                                = <?= $datadetail['t_lebar'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Perhitungan
                                            </td>
                                            <td>
                                                = Luas x Tarif x Bulan
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                = <?= $datadetail['t_luas'] . " x " . number_format($datadetail['t_tarifdasar'], 0, ',', '.') . " x " . $datadetail['t_jmlhbln'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                = <?= number_format($datadetail['t_luas'] * $datadetail['t_tarifdasar'] * $datadetail['t_jmlhbln'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                        <?php if (!empty($datadetail['t_potongan']) || $datadetail['t_potongan'] != 0) { ?>
                                            <tr>
                                                <td>
                                                    Potongan
                                                </td>
                                                <td>
                                                    = <?= number_format($datadetail['t_potongan'], 0, ',', '.') ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                        <tr>
                                            <td>
                                                Retribusi
                                            </td>
                                            <td>
                                                = <?= number_format(($datadetail['t_luas'] * $datadetail['t_tarifdasar'] * $datadetail['t_jmlhbln']) - $datadetail['t_potongan'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                    </table>
                                    <br><br><br><br>
                                <?php } elseif ($jenisobjek == 11) { ?>
                                    <table style="vertical-align: top">
                                        <tr>
                                            <td>
                                                Panjang
                                            </td>
                                            <td>
                                                = <?= $datadetail['t_panjang'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Lebar
                                            </td>
                                            <td>
                                                = <?= $datadetail['t_lebar'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Perhitungan
                                            </td>
                                            <td>
                                                = Luas x Tarif x Bulan
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                = <?= $datadetail['t_luas'] . " x " . number_format($datadetail['t_tarifdasar'], 0, ',', '.') . " x " . $datadetail['t_jmlhbln'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                = <?= number_format($datadetail['t_luas'] * $datadetail['t_tarifdasar'] * $datadetail['t_jmlhbln'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                        <?php if (!empty($datadetail['t_potongan']) || $datadetail['t_potongan'] != 0) { ?>
                                            <tr>
                                                <td>
                                                    Potongan
                                                </td>
                                                <td>
                                                    = <?= number_format($datadetail['t_potongan'], 0, ',', '.') ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                        <tr>
                                            <td>
                                                Retribusi
                                            </td>
                                            <td>
                                                = <?= number_format(($datadetail['t_luas'] * $datadetail['t_tarifdasar'] * $datadetail['t_jmlhbln']) - $datadetail['t_potongan'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                    </table>
                                    <br><br><br><br>
                                <?php } elseif ($jenisobjek == 12) { ?>
                                    <table style="vertical-align: top">
                                        <tr>
                                            <td>
                                                Panjang
                                            </td>
                                            <td>
                                                = <?= $datadetail['t_panjang'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Lebar
                                            </td>
                                            <td>
                                                = <?= $datadetail['t_lebar'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Perhitungan
                                            </td>
                                            <td>
                                                = Luas x Tarif x Bulan
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                = <?= $datadetail['t_luas'] . " x " . number_format($datadetail['t_tarifdasar'], 0, ',', '.') . " x " . $datadetail['t_jmlhblnhari'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                = <?= number_format($datadetail['t_luas'] * $datadetail['t_tarifdasar'] * $datadetail['t_jmlhblnhari'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                        <?php if(!empty($datadetail['t_potongan']) || $datadetail['t_potongan'] != 0){?>
                                        <tr>
                                            <td>
                                                Potongan
                                            </td>
                                            <td>
                                                = <?= number_format($datadetail['t_potongan'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                        <?php } ?>
                                        <tr>
                                            <td>
                                                Retribusi
                                            </td>
                                            <td>
                                                = <?= number_format(($datadetail['t_luas'] * $datadetail['t_tarifdasar'] * $datadetail['t_jmlhblnhari']) - $datadetail['t_potongan'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                    </table>
                                    <br><br><br><br>
                                <?php } elseif ($jenisobjek == 13) { ?>
                                    <table style="vertical-align: top">
                                        <tr>
                                            <td>
                                                Panjang
                                            </td>
                                            <td>
                                                = <?= $datadetail['t_panjang'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Lebar
                                            </td>
                                            <td>
                                                = <?= $datadetail['t_lebar'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Perhitungan
                                            </td>
                                            <td>
                                                = Luas x Tarif x Bulan
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                = <?= $datadetail['t_luas'] . " x " . number_format($datadetail['t_tarifdasar'], 0, ',', '.') . " x " . $datadetail['t_jmlhbln'] ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                = <?= number_format($datadetail['t_luas'] * $datadetail['t_tarifdasar'] * $datadetail['t_jmlhbln'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                        <?php if(!empty($datadetail['t_potongan']) || $datadetail['t_potongan'] != 0){?>
                                        <tr>
                                            <td>
                                                Potongan
                                            </td>
                                            <td>
                                                = <?= number_format($datadetail['t_potongan'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                        <?php } ?>
                                        <tr>
                                            <td>
                                                Retribusi
                                            </td>
                                            <td>
                                                = <?= number_format(($datadetail['t_luas'] * $datadetail['t_tarifdasar'] * $datadetail['t_jmlhbln']) - $datadetail['t_potongan'], 0, ',', '.') ?>
                                            </td>
                                        </tr>
                                    </table>
                                    <br><br><br><br>
                                <?php } elseif ($jenisobjek == 14) { ?>
                                    <table style="vertical-align: top">
                                        <?php
                                        $jumlah_total = 0;
                                        foreach ($datadetail as $row) {
                                            ?>
                                            <tr>
                                                <td colspan="2">
                                                    - <?= $row['s_namatarif'] ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>

                                                </td>
                                                <td>
                                                    = <?= $row['t_jumlah'] . " x " . number_format($row['t_tarifdasar'], 0, ',', '.') ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>

                                                </td>
                                                <td>
                                                    = <?= number_format($row['t_total'], 0, ',', '.') ?>
                                                </td>
                                            </tr>
                                            <?php
                                            $jumlah_total += $row['t_total'];
                                        }
                                        ?>
                                        <tr>
                                            <td>
                                                <br>
                                                - Jumlah
                                            </td>
                                            <td>
                                                <br>
                                                = <?= number_format($jumlah_total, 0, ',', '.'); ?>
                                            </td>
                                        </tr>
                                    </table>
                                    <br><br><br><br>
                                <?php } ?>
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; text-align: right">
                                <?= number_format($data['t_jmlhpajak'], 0, ',', '.'); ?>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: center; border: 1px solid black; border-collapse: collapse" colspan="3">
                                Jumlah Ketetapan Pokok Retribusi
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; text-align: right">
                                <?= number_format($data['t_jmlhpajak'], 0, ',', '.'); ?>
                            </td>
                        </tr>
                        <tr>
                            <td style="border: 1px solid black; border-collapse: collapse" colspan="4">
                                Dengan Huruf : <i><?= terbilang($data['t_jmlhpajak']); ?> Rupiah</i>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_sembilan" style="width: 100%">
            <tr>
                <td style="padding-top: 10px; padding-left: 15px" colspan="2">
                    PERHATIAN :
                </td>
            </tr>
            <tr>
                <td style="width:5%; border-spacing:0px; padding-left: 15px; vertical-align: top">
                    1.
                </td>
                <td style="padding:0; border-spacing:0px;">
                    Harap penyetoran dilakukan melalui Kas Daerah No. Rek : <?= $ar_pemda->s_norekbank ?> An : RKUD <?= $ar_pemda->s_namakabkota ?> dengan menggunakan Surat Setoran Retribusi Daerah (SSRD)
                </td>
            </tr>
            <tr>
                <td style="border-spacing:0px; padding-left: 15px; padding-bottom: 10px; vertical-align: top">
                    2.
                </td>
                <td style="padding:0; border-spacing:0px; padding-bottom: 10px">
                    Apabila SKRD ini tidak atau kurang dibayar setelah waktu paling lama 30 hari sejak SKRD ini diterima dikenakan sanksi administrasi
                    berupa bunga sebesar 2% per bulan.
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_sembilan" style="width: 100%">
            <tr>
                <td style="width: 50%; padding-top: 10px; padding-left: 15px">

                </td>
                <td style="text-align: center; padding-top: 10px">
                    <?= $ar_pemda->s_namaibukotakabkota ?>, <?= $t_tglpenetapan ?><br>
                    a.n, Kepala <?= $ar_pemda->s_namainstansi ?><br>
                    <?= strtoupper($ar_ttd0->s_jabatanpej) ?>
                    <br><br><br><br><br><br>
                    <?= $ar_ttd0->s_namapej ?><br>
                    NIP. <?= $ar_ttd0->s_nippej ?>
                </td>
            </tr>
        </table>
    </body>
</html>